Changelog
=========

v2.0.0
------

* Update RuboCop configuration and fix failures.
* Remove Pesapal::Merchant#change_env method.
* Change how environment is set (remove automatic `Rails.env` detection).
* Remove all Rails specific stuff.
* Add `bin/` folder and some executables.
* Improve gemspec.
* Move docs from `gh-pages` branch to `docs/`.
* Update documentation (tutorial and API reference).

v1.8.0
------

* Always verify client certificate.

v1.7.0
------

* Change QueryPaymentDetails endpoint request to use https in development.
* Drop Ruby 1.9.3 support.
* Fix 2.1.x specs.
* Confirm support for new Ruby versions i.e. 2.2 & 2.3.

v1.6.0
------

* Enforce minimum required Ruby version, gem is tested for Ruby '>= 1.9.3'
* Add Rubocop as a development dependency and Hound to the workflow since we will use them to detect style guide violations
* Code cleanup here and there
* Avoid using set_ on method name, this changes the API slightly since we can't use set_env which was public

v1.5.6
------

* Stop using deprecated OpenSSL::Digest::Digest
* Enforce minimum required Ruby version, gem is test for Ruby '>= 1.9.2' afterall
* Refactor tests

v1.5.5
------

* Improve code formatting
* Add comprehensive inline documentation (Yard)
* Move documentation from gem to it's own homepage, separate content from it's
  own code e.g. we shouldn't have to update the gem each time we update the
  README. This is also good because the only documentation that should go to
  RubyDoc.info is inline (generated by Yard) which sticks with the version that it
  was written for making it easy for someone to refer to documentation for old
  versions.
* Write tests, coverage now at 98%
* Fix query_payment_details call "can't split nil String" error due to calling wrong endpoint

v1.5.4
------

* Renamed repo from `pesapal-rubygem` to `pesapal-gem` (breaks badge links in old READMEs)
* Write tests

v1.5.3
------

* Fix HTTPS calls throwing Timeout::Error (on production)
* Simplified environment settings (kill :auto)

v1.5.2
------

* Update Gemfile.lock

v1.5.1
------

* Fix bugs, unable to proceed without YAML file
* Require htmlentities

v1.5.0
------

* Remove `path_to_file` second constructor parameter, make constructor simpler
* Remove Rails specific code to Railtie, create fallbacks if using in a non-Rails environment
* Change and improve how credentials are loaded
* Require `net/http`, used by `Net::HTTP` (bug fix)
* Added to travis-ci for continuous integrations
* Added to gemnasium for dependency checking
* Write basic tests

v1.4.0
------

* Makes more sense if mode,@mode variables were env,@env

v1.3.0
------

* Make mode setting should be a bit more intuitive, default more to Rails.env

v1.2.2
------

* Fix `can't modify frozen String` error. Apparently we can't force_encoding on
  a frozen string since that would modify it.

v1.2.1
------

* Fix severe bug caused by buggy (& poorly designed) initializer, which caused
problem for some [as evidenced here on SO][1]

_Ps: Run the install generator (as explained in the docs), if there are any
conflicts, overwrite the initializer only! Or you could just delete the
`config/initializer/pesapal.rb` file and run the generator. Whichever way suits
you._

[1]: http://stackoverflow.com/questions/19642460/rails-you-cannot-have-more-than-one-railsapplication-runtimeerror

v1.2.0
------

* Make a provision for different currency billing using ISO codes

v1.1.0
------

* Add IPN listener

v1.0.0
------

* Automate release date to reduce chances of forgetting to update it
* Add new functionality: Query Payment Status
* Add new functionality: Query Payment Details
* Add `set_mode()` method to enable changing mode at runtime
* `api_domain` & `api_endpoints` are now private, use `set_mode` to alter them

v0.2.1
------

* Fix screwed up rubygem date

v0.2.0
------

* Fix syntax error, and incorrect config hash name
* Add pesapal config file generator
* Move loading YAML config to initializer instead of each time the object is initialized

v0.1.0
------

* Add configuration with YAML file functionality, fall back to default, previous method still applies
* Move callback details to config hash (breaking change)

v0.0.3
------

* Fix screwed up the specifying of dependencies

v0.0.2
------

* Add dependencies htmlentities
* Update homepage url in rubygem
* Update to README

v0.0.1
------

Initial release, kind of a proof of concept ... by v1.0.0 we should have a
version ready for deployment in production environment and having all those
other features that should be there at bare minimum such IPN stuff and all. Also
by then, the demo (in rails) should have been complete.

* Transparently handles authentication on API calls
* Has method to generate post-order-url with ease i.e. that url that has the various payment options and whatnot
